import { DatabaseId, DatabaseInfo } from '../core/database_info';
import { Platform } from '../platform/platform';
import { Connection } from '../remote/connection';
import { JsonProtoSerializer } from '../remote/serializer';
import { AnyJs } from '../util/misc';
export declare class NodePlatform implements Platform {
    readonly base64Available: boolean;
    readonly emptyByteString: Uint8Array;
    readonly document: null;
    readonly window: Window | null;
    loadConnection(databaseInfo: DatabaseInfo): Promise<Connection>;
    newSerializer(partitionId: DatabaseId): JsonProtoSerializer;
    formatJSON(value: AnyJs): string;
    atob(encoded: string): string;
    btoa(raw: string): string;
}
